Subject: bug#24663: 24.5; doc string of `completion-at-point-functions'

From: Drew Adams <[email-masked]>
Date: Thu, 13 Oct 2016 14:29:11 -0700 (PDT)

> >> AROUND point.
> >
> > Really?  In that case, that's what needs to be said in the doc.
> >
> > Of course, if it is AROUND point then presumably any text in the
> > buffer can be used to determine what's to be completed (and in
> > turn what the possible completions are).  It could use only the
> > first two or last six characters of the buffer, ignoring the
> > text immediately surrounding point.
> 
> Not really. The region to complete has to include the point.

The entire text in the buffer is AROUND point and includes point.

But maybe you are mentioning another part of the behavior: some
text around point is REPLACED by one of the completion candidates.

If that is part of the behavior then that too should be mentioned
in the doc.